umbrello: UMLStereotypeWidget Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
UMLStereotypeWidget Class Reference

`#include <umlstereotypewidget.h>`

Inheritance diagram for UMLStereotypeWidget:

## Public Member Functions
| UMLStereotypeWidget (UMLObject *object, QWidget *parent=0)
void | setEditable (bool state)
void | apply ()
Public Member Functions inherited from ComboBoxWidgetBase
| ComboBoxWidgetBase (const QString &title, const QString &postLabel=QString(), QWidget *parent=nullptr)
void | addToLayout (QGridLayout *layout, int row, int startColumn=0)
KComboBox * | editField ()

## Protected Member Functions
void | insertItems (UMLStereotype *type)

## Protected Attributes
UMLObject * | m_object
Protected Attributes inherited from ComboBoxWidgetBase
QLabel * | m_label
QLabel * | m_postLabel
KComboBox * | m_editField

## Constructor & Destructor Documentation

## ◆ UMLStereotypeWidget()

UMLStereotypeWidget::UMLStereotypeWidget | ( | UMLObject * | object,
|  | QWidget * | parent = `0`
| ) |  |
| explicit

## Member Function Documentation

## ◆ apply()

void UMLStereotypeWidget::apply | ( |  | ) |

Apply changes to the related UMLObject.

## ◆ insertItems()

void UMLStereotypeWidget::insertItems | ( | UMLStereotype * | type | ) |
| protected

Insert stereotypes into combo box and select the currently used stereotype.

Parameters

  type | currently used stereotype

## ◆ setEditable()

void UMLStereotypeWidget::setEditable | ( | bool | state | ) |

Set state if stereotypes could be edited. By default stereotypes could be edited.

Parameters

  state | edit state

## Member Data Documentation

## ◆ m_object

UMLObject* UMLStereotypeWidget::m_object
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/widgets/umlstereotypewidget.h
- umbrello/dialogs/widgets/umlstereotypewidget.cpp